Loading...
Searching...
No Matches
FrustumRasterizerMask Struct Reference

`#include <openvdb/points/PointRasterizeFrustum.h>`

## Public Types

using | AccessorT = const tree::ValueAccessor< const MaskTree >

## Public Member Functions

| FrustumRasterizerMask ()=default
| FrustumRasterizerMask (const math::Transform &transform, const MaskGrid *mask=nullptr, const BBoxd &bbox=BBoxd(), const bool clipToFrustum=true, const bool invert=false)
| operator bool () const
MaskTree::ConstPtr | getTreePtr () const
bool | valid (const Coord &ijk, AccessorT *acc) const
const CoordBBox & | clipBBox () const

## Member Typedef Documentation

## AccessorT

using AccessorT = const tree::ValueAccessor<const MaskTree>

## Constructor & Destructor Documentation

## FrustumRasterizerMask() [1/2]

FrustumRasterizerMask | ( |  | ) |

default

## FrustumRasterizerMask() [2/2]

FrustumRasterizerMask | ( | const math::Transform & | transform,
|  | const MaskGrid * | mask = `nullptr`,
|  | const BBoxd & | bbox = `BBoxd()`,
|  | const bool | clipToFrustum = `true`,
|  | const bool | invert = `false`
| ) |  |

explicit

## Member Function Documentation

## clipBBox()

const CoordBBox & clipBBox | ( |  | ) | const

## getTreePtr()

MaskTree::ConstPtr getTreePtr | ( |  | ) | const

## operator bool()

operator bool | ( |  | ) | const

## valid()

bool valid | ( | const Coord & | ijk,
|  | AccessorT * | acc
| ) |  | const